#ifndef __ADC_H
#define __ADC_H

#include "./SYSTEM/sys/sys.h"

/* 单通道ADC采集定义 */
#define ADC_ADCX_CHY_GPIO_PORT          GPIOC
#define ADC_ADCX_CHY_GPIO_PIN           GPIO_PIN_1
#define ADC_ADCX_CHY_GPIO_CLK_ENABLE()  do{ __HAL_RCC_GPIOC_CLK_ENABLE(); }while(0)

#define ADC_ADCX                        ADC1
#define ADC_ADCX_CHY                    ADC_CHANNEL_11
#define ADC_ADCX_CHY_CLK_ENABLE()       do{ __HAL_RCC_ADC12_CLK_ENABLE(); }while(0)

/* 函数声明 */
void adc_init(void);                                           /* 初始化ADC */
uint32_t adc_get_result(uint32_t ch);                          /* 获取ADC转换后的结果 */
uint32_t adc_get_result_average(uint32_t ch, uint8_t times);   /* 获取ADC转换且进行均值滤波后的结果 */
void adc_11_int(void);
#endif 
